## GtkPlotBar GtkPlotBar — 3d scientific plots widget for GTK. |

## Functions

GtkWidget * | gtk_plot_bar_new ()
void | gtk_plot_bar_construct ()
void | gtk_plot_bar_set_width ()
gdouble | gtk_plot_bar_get_width ()

## Properties

GtkOrientation | orientation | Read / Write
gdouble | width | Read / Write

## Types and Values

struct | GtkPlotBar
enum | GtkPlotBarUnits

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkPlotData
                        ╰── GtkPlotBar

## Implemented Interfaces

GtkPlotBar implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

FIXME:: Need long description.

## Functions

### gtk_plot_bar_new ()

    GtkWidget *
    gtk_plot_bar_new (GtkOrientation orientation);

Create a new GtkPlotBar widget.

#### Parameters

orientation | GTK_ORIENTATION_HORIZONTAL or GTK_ORIENTATION_VERTICAL. |

#### Returns

a new GtkWidget.

### gtk_plot_bar_construct ()

    void
    gtk_plot_bar_construct (GtkPlotBar *bar,
                            GtkOrientation orientation);

Initializes a GtkPlotBar structure.

#### Parameters

bar | a GtkPlotBar widget. |
orientation | GTK_ORIENTATION_HORIZONTAL or GTK_ORIENTATION_VERTICAL. |

### gtk_plot_bar_set_width ()

    void
    gtk_plot_bar_set_width (GtkPlotBar *bar,
                            gdouble width);

Set the width of a GtkPlotBar widget.

#### Parameters

bar | a GtkPlotBar widget. |
width | widget width. |

### gtk_plot_bar_get_width ()

    gdouble
    gtk_plot_bar_get_width (GtkPlotBar *bar);

Set the width of a GtkPlotBar widget.

#### Parameters

bar | a GtkPlotBar widget. |

#### Returns

widget width.

## Types and Values

### struct GtkPlotBar

    struct GtkPlotBar;

The GtkPlotBar struct contains only private data. It should only be accessed through the functions described below.

### enum GtkPlotBarUnits

#### Members

GTK_PLOT_BAR_POINTS |  |
GTK_PLOT_BAR_RELATIVE |  |
GTK_PLOT_BAR_ABSOLUTE |  |

## Property Details

### The `“orientation”` property

      “orientation”              GtkOrientation

Orientation.

Flags: Read / Write

Default value: GTK_ORIENTATION_HORIZONTAL

### The `“width”` property

      “width”                    gdouble

Width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0